﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Navigation;
using Microsoft.Phone.Controls;
using Microsoft.Phone.Shell;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.IO.IsolatedStorage;
using System.IO;
using Telerik.Windows.Controls.SlideView;
using Telerik.Windows.Controls;
using Telerik.Windows.Data;

namespace PhoneApp2
{
    public partial class SlideView : PhoneApplicationPage
    {
        public SlideView()
        {
            InitializeComponent();
        }

        private void PhoneApplicationPage_Loaded_1(object sender, RoutedEventArgs e)
        {
            List<PictureModel> uries = new List<PictureModel>();
            for (int i = 0; i < 100; i++)
            {
                uries.Add(new PictureModel(Windows.Storage.ApplicationData.Current.LocalFolder.Path + "\\" + "image" + i + ".jpg"));
            }
            slideView.ItemsSource = uries;
        }
    }

    public class PictureModel
    {
        private string location;

        public PictureModel(string location)
        {
            this.location = location;
        }

        public ImageSource ImageSource
        {
            get
            {
                using (var store = IsolatedStorageFile.GetUserStoreForApplication())
                {
                    using (var stream = store.OpenFile(this.location, FileMode.Open))
                    {
                        BitmapImage source = new BitmapImage();
                        source.SetSource(stream);
                        return source;
                    }
                }
            }
        }

        public ImageSource ThumbnailSource
        {
            get
            {
                using (var store = IsolatedStorageFile.GetUserStoreForApplication())
                {
                    using (var stream = store.OpenFile(this.location, FileMode.Open))
                    {
                        BitmapImage source = new BitmapImage();
                        source.DecodePixelWidth = 460;
                        source.SetSource(stream);
                        return source;
                    }
                }
            }
        }

    }
}